View Issue Details

IDProjectCategoryView StatusLast Update
0007706Kali Linux[All Projects] Kali Package Bugpublic2022-05-11 01:17
Reporterjimmy11762000 Assigned ToGamb1t  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionduplicate 
Product Version2022.1 
Target VersionFixed in Version 
Summary0007706: Self build Kali live installs old ansd defective package etherape
DescriptionHi folks,

I discovered a little issue with a built kali-live.

The problem:

A freshly built kali live (built one today!) is installing an older version of etherape. This version does not start because of defective libs (it is not important, which at the moment) and crashes at start.

But when you do an "apt update && apt upgrade" within the booted livefile, you see, that a newer version of etherape is available and will be installed (and with newer libs, too). This version is working fine!

Please note: This is NOT related to a maybe uploaded newer version whilst the build. If doing the same build again, one should expect, that now the "newer" version of etherape is build in - NO IT IS NOT! This new build still got the old defective vrsion.

I believe, the reason might be not in the package of etherape itself, but maybe in the git tree or in the scripts for the live-build.

It would be nice, if someone could take a look at the settings for the version or into the git settings.

Notes:

1. I downloaded all the packages freshly from the git tree - no cached packages were existent.
2. I also updated the git settings (I believe, the command is "git pull origin master" should do it, like it always did before)

Thank you very much for the help.

Best regards

Hans
 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2022-05-10 22:33 jimmy11762000 New Issue
2022-05-10 22:33 jimmy11762000 Issue generated from: 0007702
2022-05-11 01:17 Gamb1t Assigned To => Gamb1t
2022-05-11 01:17 Gamb1t Status new => closed
2022-05-11 01:17 Gamb1t Resolution open => duplicate